import request from '@/utils/request'

// 查询邀请海报配置列表
export function listAppInvite(query) {
  return request({
    url: '/model/AppInvite/list',
    method: 'get',
    params: query
  })
}

// 查询邀请海报配置详细
export function getAppInvite(id) {
  return request({
    url: '/model/AppInvite/' + id,
    method: 'get'
  })
}

// 新增邀请海报配置
export function addAppInvite(data) {
  return request({
    url: '/model/AppInvite',
    method: 'post',
    data: data
  })
}

// 修改邀请海报配置
export function updateAppInvite(data) {
  return request({
    url: '/model/AppInvite',
    method: 'put',
    data: data
  })
}

// 删除邀请海报配置
export function delAppInvite(id) {
  return request({
    url: '/model/AppInvite/' + id,
    method: 'delete'
  })
}
